### org.jfree.layouting.input.style.keys.border

# Class BoxShadowValue

- `java.lang.Object`
- - `org.jfree.layouting.input.style.keys.border.BoxShadowValue`

Implemented Interfaces:
  CSSValue, Serializable

`public class BoxShadowValue`
`extends java.lang.Object`
`implements CSSValue`

Creation-Date: 30.10.2005, 19:53:45

Author:
  Thomas Morgner

  ## Constructor Summary

  `BoxShadowValue(CSSColorValue color, CSSNumericValue horizontalOffset, CSSNumericValue verticalOffset, CSSNumericValue blurRadius)`

  ## Method Summary

  `CSSNumericValue`

  `getBlurRadius()`

  `String`

  `getCSSText()`

  `CSSColorValue`

  `getColor()`

  `CSSNumericValue`

  `getHorizontalOffset()`

  `CSSNumericValue`

  `getVerticalOffset()`

## Constructor Details

### BoxShadowValue

    public BoxShadowValue(CSSColorValue color,
                          CSSNumericValue horizontalOffset,
                          CSSNumericValue verticalOffset,
                          CSSNumericValue blurRadius)

## Method Details

### getBlurRadius

    public CSSNumericValue getBlurRadius()

### getCSSText

    public String getCSSText()

> Specified by:
>   getCSSText in interface CSSValue

### getColor

    public CSSColorValue getColor()

### getHorizontalOffset

    public CSSNumericValue getHorizontalOffset()

### getVerticalOffset

    public CSSNumericValue getVerticalOffset()